package com.kingdee.eas.custom.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.custom.task.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class SyncZYEmpFacade extends AbstractBizCtrl implements ISyncZYEmpFacade
{
    public SyncZYEmpFacade()
    {
        super();
        registerInterface(ISyncZYEmpFacade.class, this);
    }
    public SyncZYEmpFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ISyncZYEmpFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("76DBFEF7");
    }
    private SyncZYEmpFacadeController getController() throws BOSException
    {
        return (SyncZYEmpFacadeController)getBizController();
    }
    /**
     *同步所有用户-User defined method
     */
    public void SyncAllEmp() throws BOSException
    {
        try {
            getController().SyncAllEmp(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *根据更新时间同步用户-User defined method
     *@param updateBeginTime 更新开始时间（yyyy-MM-dd HH:mm:ss）
     *@param updateEndTime 更新结束时间（yyyy-MM-dd HH:mm:ss）
     */
    public void SyncEmpByUpdateTime(String updateBeginTime, String updateEndTime) throws BOSException
    {
        try {
            getController().SyncEmpByUpdateTime(getContext(), updateBeginTime, updateEndTime);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}